<!--<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

  
  <style type="text/css" media="screen">
    @import url('style.css');
    @import url('roundedcorners.css');
  </style>
  <script src="clover.js" type="text/javascript"></script>
  <script src="sorttable.js" type="text/javascript"></script>
<title> HttpClient 4.2.3 </title>      
</head>
  <body onload="showContent();">
    <div id="loading">Loading...</div>
    <div style="display:none;position:relative; height:20px" id="content">
        <div id="nav">
        <ul>
                        <li class="titleText selectable  inactive ">
                <a href="pkg-app.html">Classes</a>
            </li>
                        <li class="titleText selectable  active ">
                <a href="pkg-test.html">Tests</a>
            </li>
                        <li class="titleText selectable  inactive ">
                <a href="pkg-results.html">Results</a>
            </li>
                    </ul>
        </div>
    </div>
            <table class="barGraph" id="classlist"  cellspacing="0">

<tbody>
    <tr>
    <td class="sortable graphHeaderLeft tabPanel" onclick="ts_resortTable(this, 'alpha', 0);return false;">Class</td>
    <td class="sortable graphHeader tabPanel" onclick="ts_resortTable(this, 'number', 1);return false;">Coverage&nbsp;&nbsp;&nbsp;&nbsp;</td>
    </tr>
      <tr>
    <td><span class="sortValue">AwaitThread</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/tsccm/AwaitThread.html#AwaitThread" title="org.apache.http.impl.conn.tsccm.AwaitThread">AwaitThread</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BasicAuthTokenExtractor</span>
            <a class="classlist" target="classPane" href="org/apache/http/localserver/BasicAuthTokenExtractor.html#BasicAuthTokenExtractor" title="org.apache.http.localserver.BasicAuthTokenExtractor">BasicAuthTokenExtractor</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8333333</span>
        <i>(83.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BasicServerTestBase</span>
            <a class="classlist" target="classPane" href="org/apache/http/localserver/BasicServerTestBase.html#BasicServerTestBase" title="org.apache.http.localserver.BasicServerTestBase">BasicServerTestBase</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9230769</span>
        <i>(92.3%)</i><br/>
    </td>
  </tr>
          <tr>
    <td><span class="sortValue">ConnPoolBench</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/ConnPoolBench.html#ConnPoolBench" title="org.apache.http.impl.conn.ConnPoolBench">ConnPoolBench</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">ConnPoolBench.WorkerThread1</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/ConnPoolBench.html#ConnPoolBench.WorkerThread1" title="org.apache.http.impl.conn.ConnPoolBench.WorkerThread1">ConnPoolBench.WorkerThread1</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">ConnPoolBench.WorkerThread2</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/ConnPoolBench.html#ConnPoolBench.WorkerThread2" title="org.apache.http.impl.conn.ConnPoolBench.WorkerThread2">ConnPoolBench.WorkerThread2</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DummyHttpClient</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/DummyHttpClient.html#DummyHttpClient" title="org.apache.http.impl.client.DummyHttpClient">DummyHttpClient</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.41666666</span>
        <i>(41.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">EchoHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/localserver/EchoHandler.html#EchoHandler" title="org.apache.http.localserver.EchoHandler">EchoHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.76</span>
        <i>(76%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">ExecReqThread</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/ExecReqThread.html#ExecReqThread" title="org.apache.http.impl.conn.ExecReqThread">ExecReqThread</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.7941176</span>
        <i>(79.4%)</i><br/>
    </td>
  </tr>
          <tr>
    <td><span class="sortValue">GetConnThread</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/GetConnThread.html#GetConnThread" title="org.apache.http.impl.conn.GetConnThread">GetConnThread</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">Helper</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/Helper.html#Helper" title="org.apache.http.impl.conn.Helper">Helper</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.90909094</span>
        <i>(90.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">HttpConnectionMockup</span>
            <a class="classlist" target="classPane" href="org/apache/http/mockup/HttpConnectionMockup.html#HttpConnectionMockup" title="org.apache.http.mockup.HttpConnectionMockup">HttpConnectionMockup</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">LocalTestServer</span>
            <a class="classlist" target="classPane" href="org/apache/http/localserver/LocalTestServer.html#LocalTestServer" title="org.apache.http.localserver.LocalTestServer">LocalTestServer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.7368421</span>
        <i>(73.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">LocalTestServer.ListenerThread</span>
            <a class="classlist" target="classPane" href="org/apache/http/localserver/LocalTestServer.html#LocalTestServer.ListenerThread" title="org.apache.http.localserver.LocalTestServer.ListenerThread">LocalTestServer.ListenerThread</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9166667</span>
        <i>(91.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">LocalTestServer.Worker</span>
            <a class="classlist" target="classPane" href="org/apache/http/localserver/LocalTestServer.html#LocalTestServer.Worker" title="org.apache.http.localserver.LocalTestServer.Worker">LocalTestServer.Worker</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8947368</span>
        <i>(89.5%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">MockClock</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/MockClock.html#MockClock" title="org.apache.http.impl.client.MockClock">MockClock</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">MockConnPoolControl</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/MockConnPoolControl.html#MockConnPoolControl" title="org.apache.http.impl.client.MockConnPoolControl">MockConnPoolControl</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.47058824</span>
        <i>(47.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">ProxySelectorMockup</span>
            <a class="classlist" target="classPane" href="org/apache/http/mockup/ProxySelectorMockup.html#ProxySelectorMockup" title="org.apache.http.mockup.ProxySelectorMockup">ProxySelectorMockup</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.78571427</span>
        <i>(78.6%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">RandomHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/localserver/RandomHandler.html#RandomHandler" title="org.apache.http.localserver.RandomHandler">RandomHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.6764706</span>
        <i>(67.6%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">RandomHandler.RandomEntity</span>
            <a class="classlist" target="classPane" href="org/apache/http/localserver/RandomHandler.html#RandomHandler.RandomEntity" title="org.apache.http.localserver.RandomHandler.RandomEntity">RandomHandler.RandomEntity</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.78723407</span>
        <i>(78.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">RequestBasicAuth</span>
            <a class="classlist" target="classPane" href="org/apache/http/localserver/RequestBasicAuth.html#RequestBasicAuth" title="org.apache.http.localserver.RequestBasicAuth">RequestBasicAuth</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">ResponseBasicUnauthorized</span>
            <a class="classlist" target="classPane" href="org/apache/http/localserver/ResponseBasicUnauthorized.html#ResponseBasicUnauthorized" title="org.apache.http.localserver.ResponseBasicUnauthorized">ResponseBasicUnauthorized</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SecureSocketFactoryMockup</span>
            <a class="classlist" target="classPane" href="org/apache/http/mockup/SecureSocketFactoryMockup.html#SecureSocketFactoryMockup" title="org.apache.http.mockup.SecureSocketFactoryMockup">SecureSocketFactoryMockup</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.33333334</span>
        <i>(33.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">ServerTestBase</span>
            <a class="classlist" target="classPane" href="org/apache/http/localserver/ServerTestBase.html#ServerTestBase" title="org.apache.http.localserver.ServerTestBase">ServerTestBase</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.88095236</span>
        <i>(88.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SessionInputBufferMockup</span>
            <a class="classlist" target="classPane" href="org/apache/http/mockup/SessionInputBufferMockup.html#SessionInputBufferMockup" title="org.apache.http.mockup.SessionInputBufferMockup">SessionInputBufferMockup</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.39130434</span>
        <i>(39.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SocketFactoryMockup</span>
            <a class="classlist" target="classPane" href="org/apache/http/mockup/SocketFactoryMockup.html#SocketFactoryMockup" title="org.apache.http.mockup.SocketFactoryMockup">SocketFactoryMockup</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.33333334</span>
        <i>(33.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestAIMDBackoffManager</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestAIMDBackoffManager.html#TestAIMDBackoffManager" title="org.apache.http.impl.client.TestAIMDBackoffManager">TestAIMDBackoffManager</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.97938144</span>
        <i>(97.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestAbortHandling</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/TestAbortHandling.html#TestAbortHandling" title="org.apache.http.impl.conn.TestAbortHandling">TestAbortHandling</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.95035464</span>
        <i>(95%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestAbortHandling.BasicRedirectService</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/TestAbortHandling.html#TestAbortHandling.BasicRedirectService" title="org.apache.http.impl.conn.TestAbortHandling.BasicRedirectService">TestAbortHandling.BasicRedirectService</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestAbortHandling.BasicService</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/TestAbortHandling.html#TestAbortHandling.BasicService" title="org.apache.http.impl.conn.TestAbortHandling.BasicService">TestAbortHandling.BasicService</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestAbortHandling.ConMan</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/TestAbortHandling.html#TestAbortHandling.ConMan" title="org.apache.http.impl.conn.TestAbortHandling.ConMan">TestAbortHandling.ConMan</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.4864865</span>
        <i>(48.6%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestAbortHandling.ConnMan4</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/TestAbortHandling.html#TestAbortHandling.ConnMan4" title="org.apache.http.impl.conn.TestAbortHandling.ConnMan4">TestAbortHandling.ConnMan4</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.7916667</span>
        <i>(79.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestAbortHandling.CustomGet</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/TestAbortHandling.html#TestAbortHandling.CustomGet" title="org.apache.http.impl.conn.TestAbortHandling.CustomGet">TestAbortHandling.CustomGet</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.72727275</span>
        <i>(72.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestAbstractCookieSpec</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/cookie/TestAbstractCookieSpec.html#TestAbstractCookieSpec" title="org.apache.http.impl.cookie.TestAbstractCookieSpec">TestAbstractCookieSpec</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestAbstractCookieSpec.DummyCookieAttribHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/cookie/TestAbstractCookieSpec.html#TestAbstractCookieSpec.DummyCookieAttribHandler" title="org.apache.http.impl.cookie.TestAbstractCookieSpec.DummyCookieAttribHandler">TestAbstractCookieSpec.DummyCookieAttribHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestAbstractCookieSpec.DummyCookieSpec</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/cookie/TestAbstractCookieSpec.html#TestAbstractCookieSpec.DummyCookieSpec" title="org.apache.http.impl.cookie.TestAbstractCookieSpec.DummyCookieSpec">TestAbstractCookieSpec.DummyCookieSpec</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestAuthenticationStrategy</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestAuthenticationStrategy.html#TestAuthenticationStrategy" title="org.apache.http.impl.client.TestAuthenticationStrategy">TestAuthenticationStrategy</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9634146</span>
        <i>(96.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestAutoRetryHttpClient</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestAutoRetryHttpClient.html#TestAutoRetryHttpClient" title="org.apache.http.impl.client.TestAutoRetryHttpClient">TestAutoRetryHttpClient</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicAuthCache</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestBasicAuthCache.html#TestBasicAuthCache" title="org.apache.http.impl.client.TestBasicAuthCache">TestBasicAuthCache</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicClientCookie</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/cookie/TestBasicClientCookie.html#TestBasicClientCookie" title="org.apache.http.impl.cookie.TestBasicClientCookie">TestBasicClientCookie</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9722222</span>
        <i>(97.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicClientCookie2</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/cookie/TestBasicClientCookie2.html#TestBasicClientCookie2" title="org.apache.http.impl.cookie.TestBasicClientCookie2">TestBasicClientCookie2</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.983871</span>
        <i>(98.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicConnManager</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/TestBasicConnManager.html#TestBasicConnManager" title="org.apache.http.impl.conn.TestBasicConnManager">TestBasicConnManager</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9886364</span>
        <i>(98.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicCookieAttribHandlers</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/cookie/TestBasicCookieAttribHandlers.html#TestBasicCookieAttribHandlers" title="org.apache.http.impl.cookie.TestBasicCookieAttribHandlers">TestBasicCookieAttribHandlers</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.90697676</span>
        <i>(90.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicCookieStore</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestBasicCookieStore.html#TestBasicCookieStore" title="org.apache.http.impl.client.TestBasicCookieStore">TestBasicCookieStore</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicCredentialsProvider</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestBasicCredentialsProvider.html#TestBasicCredentialsProvider" title="org.apache.http.impl.client.TestBasicCredentialsProvider">TestBasicCredentialsProvider</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicResponseHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestBasicResponseHandler.html#TestBasicResponseHandler" title="org.apache.http.impl.client.TestBasicResponseHandler">TestBasicResponseHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.96153843</span>
        <i>(96.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicScheme</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/auth/TestBasicScheme.html#TestBasicScheme" title="org.apache.http.impl.auth.TestBasicScheme">TestBasicScheme</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBrowserCompatSpec</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/cookie/TestBrowserCompatSpec.html#TestBrowserCompatSpec" title="org.apache.http.impl.cookie.TestBrowserCompatSpec">TestBrowserCompatSpec</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.95287186</span>
        <i>(95.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestClientAuthentication</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestClientAuthentication.html#TestClientAuthentication" title="org.apache.http.impl.client.TestClientAuthentication">TestClientAuthentication</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.99029124</span>
        <i>(99%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestClientAuthentication.AuthExpectationVerifier</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestClientAuthentication.html#TestClientAuthentication.AuthExpectationVerifier" title="org.apache.http.impl.client.TestClientAuthentication.AuthExpectationVerifier">TestClientAuthentication.AuthExpectationVerifier</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestClientAuthentication.AuthHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestClientAuthentication.html#TestClientAuthentication.AuthHandler" title="org.apache.http.impl.client.TestClientAuthentication.AuthHandler">TestClientAuthentication.AuthHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestClientAuthentication.CountingAuthHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestClientAuthentication.html#TestClientAuthentication.CountingAuthHandler" title="org.apache.http.impl.client.TestClientAuthentication.CountingAuthHandler">TestClientAuthentication.CountingAuthHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestClientAuthentication.ProxyAuthHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestClientAuthentication.html#TestClientAuthentication.ProxyAuthHandler" title="org.apache.http.impl.client.TestClientAuthentication.ProxyAuthHandler">TestClientAuthentication.ProxyAuthHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.5555556</span>
        <i>(55.6%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestClientAuthentication.TestCredentialsProvider</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestClientAuthentication.html#TestClientAuthentication.TestCredentialsProvider" title="org.apache.http.impl.client.TestClientAuthentication.TestCredentialsProvider">TestClientAuthentication.TestCredentialsProvider</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8</span>
        <i>(80%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestClientAuthentication.TestTargetAuthenticationStrategy</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestClientAuthentication.html#TestClientAuthentication.TestTargetAuthenticationStrategy" title="org.apache.http.impl.client.TestClientAuthentication.TestTargetAuthenticationStrategy">TestClientAuthentication.TestTargetAuthenticationStrategy</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestClientAuthenticationFallBack</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestClientAuthenticationFallBack.html#TestClientAuthenticationFallBack" title="org.apache.http.impl.client.TestClientAuthenticationFallBack">TestClientAuthenticationFallBack</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestClientAuthenticationFallBack.AuthHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestClientAuthenticationFallBack.html#TestClientAuthenticationFallBack.AuthHandler" title="org.apache.http.impl.client.TestClientAuthenticationFallBack.AuthHandler">TestClientAuthenticationFallBack.AuthHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestClientAuthenticationFallBack.ResponseBasicUnauthorized</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestClientAuthenticationFallBack.html#TestClientAuthenticationFallBack.ResponseBasicUnauthorized" title="org.apache.http.impl.client.TestClientAuthenticationFallBack.ResponseBasicUnauthorized">TestClientAuthenticationFallBack.ResponseBasicUnauthorized</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestClientAuthenticationFallBack.TestCredentialsProvider</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestClientAuthenticationFallBack.html#TestClientAuthenticationFallBack.TestCredentialsProvider" title="org.apache.http.impl.client.TestClientAuthenticationFallBack.TestCredentialsProvider">TestClientAuthenticationFallBack.TestCredentialsProvider</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8</span>
        <i>(80%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestClientReauthentication</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestClientReauthentication.html#TestClientReauthentication" title="org.apache.http.impl.client.TestClientReauthentication">TestClientReauthentication</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestClientReauthentication.AuthHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestClientReauthentication.html#TestClientReauthentication.AuthHandler" title="org.apache.http.impl.client.TestClientReauthentication.AuthHandler">TestClientReauthentication.AuthHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestClientReauthentication.ResponseBasicUnauthorized</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestClientReauthentication.html#TestClientReauthentication.ResponseBasicUnauthorized" title="org.apache.http.impl.client.TestClientReauthentication.ResponseBasicUnauthorized">TestClientReauthentication.ResponseBasicUnauthorized</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestClientReauthentication.TestCredentialsProvider</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestClientReauthentication.html#TestClientReauthentication.TestCredentialsProvider" title="org.apache.http.impl.client.TestClientReauthentication.TestCredentialsProvider">TestClientReauthentication.TestCredentialsProvider</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.6</span>
        <i>(60%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestConnPoolByRoute</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/tsccm/TestConnPoolByRoute.html#TestConnPoolByRoute" title="org.apache.http.impl.conn.tsccm.TestConnPoolByRoute">TestConnPoolByRoute</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.995671</span>
        <i>(99.6%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestConnPoolByRoute.Flag</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/tsccm/TestConnPoolByRoute.html#TestConnPoolByRoute.Flag" title="org.apache.http.impl.conn.tsccm.TestConnPoolByRoute.Flag">TestConnPoolByRoute.Flag</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestConnectionAutoRelease</span>
            <a class="classlist" target="classPane" href="org/apache/http/conn/TestConnectionAutoRelease.html#TestConnectionAutoRelease" title="org.apache.http.conn.TestConnectionAutoRelease">TestConnectionAutoRelease</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9519231</span>
        <i>(95.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestConnectionReuse</span>
            <a class="classlist" target="classPane" href="org/apache/http/conn/TestConnectionReuse.html#TestConnectionReuse" title="org.apache.http.conn.TestConnectionReuse">TestConnectionReuse</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.96256685</span>
        <i>(96.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestConnectionReuse.AlwaysCloseConn</span>
            <a class="classlist" target="classPane" href="org/apache/http/conn/TestConnectionReuse.html#TestConnectionReuse.AlwaysCloseConn" title="org.apache.http.conn.TestConnectionReuse.AlwaysCloseConn">TestConnectionReuse.AlwaysCloseConn</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestConnectionReuse.ResponseKeepAlive</span>
            <a class="classlist" target="classPane" href="org/apache/http/conn/TestConnectionReuse.html#TestConnectionReuse.ResponseKeepAlive" title="org.apache.http.conn.TestConnectionReuse.ResponseKeepAlive">TestConnectionReuse.ResponseKeepAlive</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.7777778</span>
        <i>(77.8%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestConnectionReuse.WorkerThread</span>
            <a class="classlist" target="classPane" href="org/apache/http/conn/TestConnectionReuse.html#TestConnectionReuse.WorkerThread" title="org.apache.http.conn.TestConnectionReuse.WorkerThread">TestConnectionReuse.WorkerThread</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.95454544</span>
        <i>(95.5%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestContentCodings</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestContentCodings.html#TestContentCodings" title="org.apache.http.impl.client.TestContentCodings">TestContentCodings</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9722222</span>
        <i>(97.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestContentCodings.WorkerTask</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestContentCodings.html#TestContentCodings.WorkerTask" title="org.apache.http.impl.client.TestContentCodings.WorkerTask">TestContentCodings.WorkerTask</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.95238096</span>
        <i>(95.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestCookie2Support</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/protocol/TestCookie2Support.html#TestCookie2Support" title="org.apache.http.client.protocol.TestCookie2Support">TestCookie2Support</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestCookie2Support.CookieVer0Service</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/protocol/TestCookie2Support.html#TestCookie2Support.CookieVer0Service" title="org.apache.http.client.protocol.TestCookie2Support.CookieVer0Service">TestCookie2Support.CookieVer0Service</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestCookie2Support.CookieVer1Service</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/protocol/TestCookie2Support.html#TestCookie2Support.CookieVer1Service" title="org.apache.http.client.protocol.TestCookie2Support.CookieVer1Service">TestCookie2Support.CookieVer1Service</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestCookie2Support.CookieVer2Service</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/protocol/TestCookie2Support.html#TestCookie2Support.CookieVer2Service" title="org.apache.http.client.protocol.TestCookie2Support.CookieVer2Service">TestCookie2Support.CookieVer2Service</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestCookie2Support.SetCookieVersionMixService</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/protocol/TestCookie2Support.html#TestCookie2Support.SetCookieVersionMixService" title="org.apache.http.client.protocol.TestCookie2Support.SetCookieVersionMixService">TestCookie2Support.SetCookieVersionMixService</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestCookieBestMatchSpec</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/cookie/TestCookieBestMatchSpec.html#TestCookieBestMatchSpec" title="org.apache.http.impl.cookie.TestCookieBestMatchSpec">TestCookieBestMatchSpec</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.96503496</span>
        <i>(96.5%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestCookieIdentityComparator</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestCookieIdentityComparator.html#TestCookieIdentityComparator" title="org.apache.http.impl.client.TestCookieIdentityComparator">TestCookieIdentityComparator</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestCookieNetscapeDraft</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/cookie/TestCookieNetscapeDraft.html#TestCookieNetscapeDraft" title="org.apache.http.impl.cookie.TestCookieNetscapeDraft">TestCookieNetscapeDraft</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.92948717</span>
        <i>(92.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestCookieOrigin</span>
            <a class="classlist" target="classPane" href="org/apache/http/cookie/TestCookieOrigin.html#TestCookieOrigin" title="org.apache.http.cookie.TestCookieOrigin">TestCookieOrigin</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestCookiePathComparator</span>
            <a class="classlist" target="classPane" href="org/apache/http/cookie/TestCookiePathComparator.html#TestCookiePathComparator" title="org.apache.http.cookie.TestCookiePathComparator">TestCookiePathComparator</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestCookiePolicy</span>
            <a class="classlist" target="classPane" href="org/apache/http/cookie/TestCookiePolicy.html#TestCookiePolicy" title="org.apache.http.cookie.TestCookiePolicy">TestCookiePolicy</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8947368</span>
        <i>(89.5%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestCookieRFC2109Spec</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/cookie/TestCookieRFC2109Spec.html#TestCookieRFC2109Spec" title="org.apache.http.impl.cookie.TestCookieRFC2109Spec">TestCookieRFC2109Spec</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9233717</span>
        <i>(92.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestCookieRFC2965Spec</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/cookie/TestCookieRFC2965Spec.html#TestCookieRFC2965Spec" title="org.apache.http.impl.cookie.TestCookieRFC2965Spec">TestCookieRFC2965Spec</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9552</span>
        <i>(95.5%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestCookieVirtualHost</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestCookieVirtualHost.html#TestCookieVirtualHost" title="org.apache.http.impl.client.TestCookieVirtualHost">TestCookieVirtualHost</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestCredentials</span>
            <a class="classlist" target="classPane" href="org/apache/http/auth/TestCredentials.html#TestCredentials" title="org.apache.http.auth.TestCredentials">TestCredentials</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestDateUtils</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/cookie/TestDateUtils.html#TestDateUtils" title="org.apache.http.impl.cookie.TestDateUtils">TestDateUtils</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.93650794</span>
        <i>(93.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestDecompressingEntity</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/entity/TestDecompressingEntity.html#TestDecompressingEntity" title="org.apache.http.client.entity.TestDecompressingEntity">TestDecompressingEntity</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestDecompressingEntity.ChecksumEntity</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/entity/TestDecompressingEntity.html#TestDecompressingEntity.ChecksumEntity" title="org.apache.http.client.entity.TestDecompressingEntity.ChecksumEntity">TestDecompressingEntity.ChecksumEntity</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestDecompressingHttpClient</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestDecompressingHttpClient.html#TestDecompressingHttpClient" title="org.apache.http.impl.client.TestDecompressingHttpClient">TestDecompressingHttpClient</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.98876405</span>
        <i>(98.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestDefaultBackoffStrategy</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestDefaultBackoffStrategy.html#TestDefaultBackoffStrategy" title="org.apache.http.impl.client.TestDefaultBackoffStrategy">TestDefaultBackoffStrategy</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestDefaultClientConnectOperator</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/TestDefaultClientConnectOperator.html#TestDefaultClientConnectOperator" title="org.apache.http.impl.conn.TestDefaultClientConnectOperator">TestDefaultClientConnectOperator</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestDefaultClientRequestDirector</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestDefaultClientRequestDirector.html#TestDefaultClientRequestDirector" title="org.apache.http.impl.client.TestDefaultClientRequestDirector">TestDefaultClientRequestDirector</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestDefaultClientRequestDirector.FaultyHttpClient</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestDefaultClientRequestDirector.html#TestDefaultClientRequestDirector.FaultyHttpClient" title="org.apache.http.impl.client.TestDefaultClientRequestDirector.FaultyHttpClient">TestDefaultClientRequestDirector.FaultyHttpClient</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestDefaultClientRequestDirector.FaultyHttpRequestExecutor</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestDefaultClientRequestDirector.html#TestDefaultClientRequestDirector.FaultyHttpRequestExecutor" title="org.apache.http.impl.client.TestDefaultClientRequestDirector.FaultyHttpRequestExecutor">TestDefaultClientRequestDirector.FaultyHttpRequestExecutor</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestDefaultClientRequestDirector.SimpleService</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestDefaultClientRequestDirector.html#TestDefaultClientRequestDirector.SimpleService" title="org.apache.http.impl.client.TestDefaultClientRequestDirector.SimpleService">TestDefaultClientRequestDirector.SimpleService</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestDefaultConnKeepAliveStrategy</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestDefaultConnKeepAliveStrategy.html#TestDefaultConnKeepAliveStrategy" title="org.apache.http.impl.client.TestDefaultConnKeepAliveStrategy">TestDefaultConnKeepAliveStrategy</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestDefaultHttpRequestRetryHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestDefaultHttpRequestRetryHandler.html#TestDefaultHttpRequestRetryHandler" title="org.apache.http.impl.client.TestDefaultHttpRequestRetryHandler">TestDefaultHttpRequestRetryHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestDefaultHttpResponseParser</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/TestDefaultHttpResponseParser.html#TestDefaultHttpResponseParser" title="org.apache.http.impl.conn.TestDefaultHttpResponseParser">TestDefaultHttpResponseParser</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestDefaultRedirectStrategy</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestDefaultRedirectStrategy.html#TestDefaultRedirectStrategy" title="org.apache.http.impl.client.TestDefaultRedirectStrategy">TestDefaultRedirectStrategy</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.97196263</span>
        <i>(97.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestDigestScheme</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/auth/TestDigestScheme.html#TestDigestScheme" title="org.apache.http.impl.auth.TestDigestScheme">TestDigestScheme</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.98445594</span>
        <i>(98.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestExceptions</span>
            <a class="classlist" target="classPane" href="org/apache/http/conn/TestExceptions.html#TestExceptions" title="org.apache.http.conn.TestExceptions">TestExceptions</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestGZip</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/entity/TestGZip.html#TestGZip" title="org.apache.http.client.entity.TestGZip">TestGZip</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHostnameVerifier</span>
            <a class="classlist" target="classPane" href="org/apache/http/conn/ssl/TestHostnameVerifier.html#TestHostnameVerifier" title="org.apache.http.conn.ssl.TestHostnameVerifier">TestHostnameVerifier</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.91943127</span>
        <i>(91.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpAuthenticator</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestHttpAuthenticator.html#TestHttpAuthenticator" title="org.apache.http.impl.client.TestHttpAuthenticator">TestHttpAuthenticator</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpClientUtils</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/utils/TestHttpClientUtils.html#TestHttpClientUtils" title="org.apache.http.client.utils.TestHttpClientUtils">TestHttpClientUtils</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpOptions</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/methods/TestHttpOptions.html#TestHttpOptions" title="org.apache.http.client.methods.TestHttpOptions">TestHttpOptions</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpRequestBase</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/methods/TestHttpRequestBase.html#TestHttpRequestBase" title="org.apache.http.client.methods.TestHttpRequestBase">TestHttpRequestBase</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpRoute</span>
            <a class="classlist" target="classPane" href="org/apache/http/conn/routing/TestHttpRoute.html#TestHttpRoute" title="org.apache.http.conn.routing.TestHttpRoute">TestHttpRoute</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9581882</span>
        <i>(95.8%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestIdleConnectionEviction</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/TestIdleConnectionEviction.html#TestIdleConnectionEviction" title="org.apache.http.impl.conn.TestIdleConnectionEviction">TestIdleConnectionEviction</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9459459</span>
        <i>(94.6%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestIdleConnectionEviction.IdleConnectionMonitor</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/TestIdleConnectionEviction.html#TestIdleConnectionEviction.IdleConnectionMonitor" title="org.apache.http.impl.conn.TestIdleConnectionEviction.IdleConnectionMonitor">TestIdleConnectionEviction.IdleConnectionMonitor</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestIdleConnectionEviction.WorkerThread</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/TestIdleConnectionEviction.html#TestIdleConnectionEviction.WorkerThread" title="org.apache.http.impl.conn.TestIdleConnectionEviction.WorkerThread">TestIdleConnectionEviction.WorkerThread</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.82608694</span>
        <i>(82.6%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestInetAddressUtils</span>
            <a class="classlist" target="classPane" href="org/apache/http/conn/util/TestInetAddressUtils.html#TestInetAddressUtils" title="org.apache.http.conn.util.TestInetAddressUtils">TestInetAddressUtils</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestLocalServer</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/TestLocalServer.html#TestLocalServer" title="org.apache.http.impl.conn.TestLocalServer">TestLocalServer</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestNTLMEngineImpl</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/auth/TestNTLMEngineImpl.html#TestNTLMEngineImpl" title="org.apache.http.impl.auth.TestNTLMEngineImpl">TestNTLMEngineImpl</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9480519</span>
        <i>(94.8%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestNetscapeCookieAttribHandlers</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/cookie/TestNetscapeCookieAttribHandlers.html#TestNetscapeCookieAttribHandlers" title="org.apache.http.impl.cookie.TestNetscapeCookieAttribHandlers">TestNetscapeCookieAttribHandlers</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8939394</span>
        <i>(89.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestNetscapeDraftHeaderParser</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/cookie/TestNetscapeDraftHeaderParser.html#TestNetscapeDraftHeaderParser" title="org.apache.http.impl.cookie.TestNetscapeDraftHeaderParser">TestNetscapeDraftHeaderParser</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestNullBackoffStrategy</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestNullBackoffStrategy.html#TestNullBackoffStrategy" title="org.apache.http.impl.client.TestNullBackoffStrategy">TestNullBackoffStrategy</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestPoolingConnManager</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/TestPoolingConnManager.html#TestPoolingConnManager" title="org.apache.http.impl.conn.TestPoolingConnManager">TestPoolingConnManager</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9281609</span>
        <i>(92.8%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestPoolingConnManager.LatchSupport</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/TestPoolingConnManager.html#TestPoolingConnManager.LatchSupport" title="org.apache.http.impl.conn.TestPoolingConnManager.LatchSupport">TestPoolingConnManager.LatchSupport</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.6875</span>
        <i>(68.8%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestPoolingConnManager.StallingOperator</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/TestPoolingConnManager.html#TestPoolingConnManager.StallingOperator" title="org.apache.http.impl.conn.TestPoolingConnManager.StallingOperator">TestPoolingConnManager.StallingOperator</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.61538464</span>
        <i>(61.5%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestPoolingConnManager.StallingSocketFactory</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/TestPoolingConnManager.html#TestPoolingConnManager.StallingSocketFactory" title="org.apache.http.impl.conn.TestPoolingConnManager.StallingSocketFactory">TestPoolingConnManager.StallingSocketFactory</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8636364</span>
        <i>(86.4%)</i><br/>
    </td>
  </tr>
          <tr>
    <td><span class="sortValue">TestPoolingConnManagerNoServer</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/TestPoolingConnManagerNoServer.html#TestPoolingConnManagerNoServer" title="org.apache.http.impl.conn.TestPoolingConnManagerNoServer">TestPoolingConnManagerNoServer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.91101694</span>
        <i>(91.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestProxySelRoutePlanner</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/TestProxySelRoutePlanner.html#TestProxySelRoutePlanner" title="org.apache.http.impl.conn.TestProxySelRoutePlanner">TestProxySelRoutePlanner</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestPublicSuffixListParser</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/cookie/TestPublicSuffixListParser.html#TestPublicSuffixListParser" title="org.apache.http.impl.cookie.TestPublicSuffixListParser">TestPublicSuffixListParser</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRFC2109CookieAttribHandlers</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/cookie/TestRFC2109CookieAttribHandlers.html#TestRFC2109CookieAttribHandlers" title="org.apache.http.impl.cookie.TestRFC2109CookieAttribHandlers">TestRFC2109CookieAttribHandlers</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.858156</span>
        <i>(85.8%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRFC2617Scheme</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/auth/TestRFC2617Scheme.html#TestRFC2617Scheme" title="org.apache.http.impl.auth.TestRFC2617Scheme">TestRFC2617Scheme</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9756098</span>
        <i>(97.6%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRFC2617Scheme.TestAuthScheme</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/auth/TestRFC2617Scheme.html#TestRFC2617Scheme.TestAuthScheme" title="org.apache.http.impl.auth.TestRFC2617Scheme.TestAuthScheme">TestRFC2617Scheme.TestAuthScheme</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.25</span>
        <i>(25%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRedirectLocation</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestRedirectLocation.html#TestRedirectLocation" title="org.apache.http.impl.client.TestRedirectLocation">TestRedirectLocation</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRedirects</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/protocol/TestRedirects.html#TestRedirects" title="org.apache.http.client.protocol.TestRedirects">TestRedirects</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRedirects.BasicRedirectService</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/protocol/TestRedirects.html#TestRedirects.BasicRedirectService" title="org.apache.http.client.protocol.TestRedirects.BasicRedirectService">TestRedirects.BasicRedirectService</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9230769</span>
        <i>(92.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRedirects.BogusRedirectService</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/protocol/TestRedirects.html#TestRedirects.BogusRedirectService" title="org.apache.http.client.protocol.TestRedirects.BogusRedirectService">TestRedirects.BogusRedirectService</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.5555556</span>
        <i>(55.6%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRedirects.CircularRedirectService</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/protocol/TestRedirects.html#TestRedirects.CircularRedirectService" title="org.apache.http.client.protocol.TestRedirects.CircularRedirectService">TestRedirects.CircularRedirectService</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.875</span>
        <i>(87.5%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRedirects.RelativeRedirectService</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/protocol/TestRedirects.html#TestRedirects.RelativeRedirectService" title="org.apache.http.client.protocol.TestRedirects.RelativeRedirectService">TestRedirects.RelativeRedirectService</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.88235295</span>
        <i>(88.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRedirects.RelativeRedirectService2</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/protocol/TestRedirects.html#TestRedirects.RelativeRedirectService2" title="org.apache.http.client.protocol.TestRedirects.RelativeRedirectService2">TestRedirects.RelativeRedirectService2</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.88235295</span>
        <i>(88.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRequestAcceptEncoding</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/protocol/TestRequestAcceptEncoding.html#TestRequestAcceptEncoding" title="org.apache.http.client.protocol.TestRequestAcceptEncoding">TestRequestAcceptEncoding</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRequestAddCookies</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/protocol/TestRequestAddCookies.html#TestRequestAddCookies" title="org.apache.http.client.protocol.TestRequestAddCookies">TestRequestAddCookies</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRequestAuthCache</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/protocol/TestRequestAuthCache.html#TestRequestAuthCache" title="org.apache.http.client.protocol.TestRequestAuthCache">TestRequestAuthCache</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRequestAuthenticationBase</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/protocol/TestRequestAuthenticationBase.html#TestRequestAuthenticationBase" title="org.apache.http.client.protocol.TestRequestAuthenticationBase">TestRequestAuthenticationBase</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRequestAuthenticationBase.TestRequestAuthentication</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/protocol/TestRequestAuthenticationBase.html#TestRequestAuthenticationBase.TestRequestAuthentication" title="org.apache.http.client.protocol.TestRequestAuthenticationBase.TestRequestAuthentication">TestRequestAuthenticationBase.TestRequestAuthentication</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRequestClientConnControl</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/protocol/TestRequestClientConnControl.html#TestRequestClientConnControl" title="org.apache.http.client.protocol.TestRequestClientConnControl">TestRequestClientConnControl</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRequestDefaultHeaders</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/protocol/TestRequestDefaultHeaders.html#TestRequestDefaultHeaders" title="org.apache.http.client.protocol.TestRequestDefaultHeaders">TestRequestDefaultHeaders</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRequestProxyAuthentication</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/protocol/TestRequestProxyAuthentication.html#TestRequestProxyAuthentication" title="org.apache.http.client.protocol.TestRequestProxyAuthentication">TestRequestProxyAuthentication</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRequestRetryHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestRequestRetryHandler.html#TestRequestRetryHandler" title="org.apache.http.impl.client.TestRequestRetryHandler">TestRequestRetryHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRequestRetryHandler.OppsieSchemeSocketFactory</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestRequestRetryHandler.html#TestRequestRetryHandler.OppsieSchemeSocketFactory" title="org.apache.http.impl.client.TestRequestRetryHandler.OppsieSchemeSocketFactory">TestRequestRetryHandler.OppsieSchemeSocketFactory</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.6666667</span>
        <i>(66.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRequestRetryHandler.TestHttpRequestRetryHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestRequestRetryHandler.html#TestRequestRetryHandler.TestHttpRequestRetryHandler" title="org.apache.http.impl.client.TestRequestRetryHandler.TestHttpRequestRetryHandler">TestRequestRetryHandler.TestHttpRequestRetryHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRequestTargetAuthentication</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/protocol/TestRequestTargetAuthentication.html#TestRequestTargetAuthentication" title="org.apache.http.client.protocol.TestRequestTargetAuthentication">TestRequestTargetAuthentication</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRequestWrapper</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestRequestWrapper.html#TestRequestWrapper" title="org.apache.http.impl.client.TestRequestWrapper">TestRequestWrapper</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRequestWrapper.SimpleService</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestRequestWrapper.html#TestRequestWrapper.SimpleService" title="org.apache.http.impl.client.TestRequestWrapper.SimpleService">TestRequestWrapper.SimpleService</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestResponseAuthCache</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/protocol/TestResponseAuthCache.html#TestResponseAuthCache" title="org.apache.http.client.protocol.TestResponseAuthCache">TestResponseAuthCache</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestResponseContentEncoding</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/protocol/TestResponseContentEncoding.html#TestResponseContentEncoding" title="org.apache.http.client.protocol.TestResponseContentEncoding">TestResponseContentEncoding</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestResponseProcessCookies</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/protocol/TestResponseProcessCookies.html#TestResponseProcessCookies" title="org.apache.http.client.protocol.TestResponseProcessCookies">TestResponseProcessCookies</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRfc3492Idn</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/utils/TestRfc3492Idn.html#TestRfc3492Idn" title="org.apache.http.client.utils.TestRfc3492Idn">TestRfc3492Idn</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRouteDirector</span>
            <a class="classlist" target="classPane" href="org/apache/http/conn/routing/TestRouteDirector.html#TestRouteDirector" title="org.apache.http.conn.routing.TestRouteDirector">TestRouteDirector</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9947917</span>
        <i>(99.5%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRouteParams</span>
            <a class="classlist" target="classPane" href="org/apache/http/conn/params/TestRouteParams.html#TestRouteParams" title="org.apache.http.conn.params.TestRouteParams">TestRouteParams</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.98275864</span>
        <i>(98.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRouteTracker</span>
            <a class="classlist" target="classPane" href="org/apache/http/conn/routing/TestRouteTracker.html#TestRouteTracker" title="org.apache.http.conn.routing.TestRouteTracker">TestRouteTracker</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.94</span>
        <i>(94%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestSPNegoScheme</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/auth/TestSPNegoScheme.html#TestSPNegoScheme" title="org.apache.http.impl.auth.TestSPNegoScheme">TestSPNegoScheme</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestSPNegoScheme.NegotiateSchemeFactoryWithMockGssManager</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/auth/TestSPNegoScheme.html#TestSPNegoScheme.NegotiateSchemeFactoryWithMockGssManager" title="org.apache.http.impl.auth.TestSPNegoScheme.NegotiateSchemeFactoryWithMockGssManager">TestSPNegoScheme.NegotiateSchemeFactoryWithMockGssManager</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestSPNegoScheme.NegotiateSchemeWithMockGssManager</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/auth/TestSPNegoScheme.html#TestSPNegoScheme.NegotiateSchemeWithMockGssManager" title="org.apache.http.impl.auth.TestSPNegoScheme.NegotiateSchemeWithMockGssManager">TestSPNegoScheme.NegotiateSchemeWithMockGssManager</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestSPNegoScheme.PleaseNegotiateService</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/auth/TestSPNegoScheme.html#TestSPNegoScheme.PleaseNegotiateService" title="org.apache.http.impl.auth.TestSPNegoScheme.PleaseNegotiateService">TestSPNegoScheme.PleaseNegotiateService</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestSPNegoScheme.UseJaasCredentials</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/auth/TestSPNegoScheme.html#TestSPNegoScheme.UseJaasCredentials" title="org.apache.http.impl.auth.TestSPNegoScheme.UseJaasCredentials">TestSPNegoScheme.UseJaasCredentials</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestSSLSocketFactory</span>
            <a class="classlist" target="classPane" href="org/apache/http/conn/ssl/TestSSLSocketFactory.html#TestSSLSocketFactory" title="org.apache.http.conn.ssl.TestSSLSocketFactory">TestSSLSocketFactory</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.96875</span>
        <i>(96.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestSSLSocketFactory.TestX509HostnameVerifier</span>
            <a class="classlist" target="classPane" href="org/apache/http/conn/ssl/TestSSLSocketFactory.html#TestSSLSocketFactory.TestX509HostnameVerifier" title="org.apache.http.conn.ssl.TestSSLSocketFactory.TestX509HostnameVerifier">TestSSLSocketFactory.TestX509HostnameVerifier</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.5</span>
        <i>(50%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestScheme</span>
            <a class="classlist" target="classPane" href="org/apache/http/conn/scheme/TestScheme.html#TestScheme" title="org.apache.http.conn.scheme.TestScheme">TestScheme</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestScheme</span>
            <a class="classlist" target="classPane" href="org/apache/http/conn/TestScheme.html#TestScheme" title="org.apache.http.conn.TestScheme">TestScheme</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8046875</span>
        <i>(80.5%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestSpuriousWakeup</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/tsccm/TestSpuriousWakeup.html#TestSpuriousWakeup" title="org.apache.http.impl.conn.tsccm.TestSpuriousWakeup">TestSpuriousWakeup</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestSpuriousWakeup.XConnPoolByRoute</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/tsccm/TestSpuriousWakeup.html#TestSpuriousWakeup.XConnPoolByRoute" title="org.apache.http.impl.conn.tsccm.TestSpuriousWakeup.XConnPoolByRoute">TestSpuriousWakeup.XConnPoolByRoute</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestSpuriousWakeup.XTSCCM</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/tsccm/TestSpuriousWakeup.html#TestSpuriousWakeup.XTSCCM" title="org.apache.http.impl.conn.tsccm.TestSpuriousWakeup.XTSCCM">TestSpuriousWakeup.XTSCCM</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestStatefulConnManagement</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestStatefulConnManagement.html#TestStatefulConnManagement" title="org.apache.http.impl.client.TestStatefulConnManagement">TestStatefulConnManagement</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9736842</span>
        <i>(97.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestStatefulConnManagement.HttpWorker</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestStatefulConnManagement.html#TestStatefulConnManagement.HttpWorker" title="org.apache.http.impl.client.TestStatefulConnManagement.HttpWorker">TestStatefulConnManagement.HttpWorker</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.95652175</span>
        <i>(95.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestStatefulConnManagement.SimpleService</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/TestStatefulConnManagement.html#TestStatefulConnManagement.SimpleService" title="org.apache.http.impl.client.TestStatefulConnManagement.SimpleService">TestStatefulConnManagement.SimpleService</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestURIBuilder</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/utils/TestURIBuilder.html#TestURIBuilder" title="org.apache.http.client.utils.TestURIBuilder">TestURIBuilder</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestURIUtils</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/utils/TestURIUtils.html#TestURIUtils" title="org.apache.http.client.utils.TestURIUtils">TestURIUtils</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestURLEncodedUtils</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/utils/TestURLEncodedUtils.html#TestURLEncodedUtils" title="org.apache.http.client.utils.TestURLEncodedUtils">TestURLEncodedUtils</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.99559474</span>
        <i>(99.6%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestUriEscapes</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/protocol/TestUriEscapes.html#TestUriEscapes" title="org.apache.http.client.protocol.TestUriEscapes">TestUriEscapes</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestUriEscapes.UriListeningService</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/protocol/TestUriEscapes.html#TestUriEscapes.UriListeningService" title="org.apache.http.client.protocol.TestUriEscapes.UriListeningService">TestUriEscapes.UriListeningService</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestWaitingThread</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/conn/tsccm/TestWaitingThread.html#TestWaitingThread" title="org.apache.http.impl.conn.tsccm.TestWaitingThread">TestWaitingThread</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9736842</span>
        <i>(97.4%)</i><br/>
    </td>
  </tr>
  </tbody>
</table> <!-- End table of tests -->      </body>
</html>